:root {
  --primary-color: var(--bs-purple);
}

@keyframes spining {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

html {
  overflow-x: hidden;
}

body {
  font-family: var(--bs-font-sans-serif);
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: 300;
}

h6 {
  font-weight: 500;
}

.form-check-input {
  &:checked {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
  }
  &:focus {
    border-color: rgba(var(--bs-primary), 0.2);
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary), 0.6);
  }
}

.dropdown-item.active, .dropdown-item:active {
  background-color: var(--bs-primary);
}

.text-size {
  &--huge {
    font-size: 3em;
  }
}

.loading {
  display: flex;
  align-items: center;
  justify-content: center;
  align-content: center;
  img {
    animation: spining 2s linear infinite;
  }
}

footer.footer {
  color: white;
}

#page-content-wrapper {
  min-height: 68vh;
}

.nav {
  .nav-link {
    &.active {
      border-bottom: 2px solid $primary;
    }
  }
}